## AgsAudioContainerManager

AgsAudioContainerManager — The audio container manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_AUDIO_CONTAINER_MANAGER_GET_OBJ_MUTEX()
GRecMutex * | ags_audio_container_manager_get_obj_mutex ()
void | ags_audio_container_manager_add_audio_container ()
void | ags_audio_container_manager_remove_audio_container ()
GObject * | ags_audio_container_manager_find_audio_container ()
AgsAudioContainerManager * | ags_audio_container_manager_get_instance ()
AgsAudioContainerManager * | ags_audio_container_manager_new ()

## Properties

gpointer | audio-container | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsAudioContainerManager

## Includes

    #include <ags/audio_container/ags_audio_container_manager.h>

## Description

AgsAudioContainerManager stores audio containers.

## Functions

### AGS_AUDIO_CONTAINER_MANAGER_GET_OBJ_MUTEX()

    #define AGS_AUDIO_CONTAINER_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsAudioContainerManager *) obj)->obj_mutex))

### ags_audio_container_manager_get_obj_mutex ()

    GRecMutex *
    ags_audio_container_manager_get_obj_mutex
                                   (AgsAudioContainerManager *audio_container_manager);

### ags_audio_container_manager_add_audio_container ()

    void
    ags_audio_container_manager_add_audio_container
                                   (AgsAudioContainerManager *audio_container_manager,
                                    GObject *audio_container);

Add `audio_container` to `audio_container_manager` .

#### Parameters

audio_container_manager | the AgsAudioContainerManager |
audio_container | the AgsAudioContainer |

Since: 3.4.0

### ags_audio_container_manager_remove_audio_container ()

    void
    ags_audio_container_manager_remove_audio_container
                                   (AgsAudioContainerManager *audio_container_manager,
                                    GObject *audio_container);

Remove `audio_container` from `audio_container_manager` .

#### Parameters

audio_container_manager | the AgsAudioContainerManager |
audio_container | the AgsAudioContainer |

Since: 3.4.0

### ags_audio_container_manager_find_audio_container ()

    GObject *
    ags_audio_container_manager_find_audio_container
                                   (AgsAudioContainerManager *audio_container_manager,
                                    gchar *filename);

Find audio container by `filename` .

#### Parameters

audio_container_manager | the AgsAudioContainerManager |
filename | the string identifier |

#### Returns

the matching AgsAudioContainer if found, otherwise `NULL`.

[transfer full]

Since: 3.4.0

### ags_audio_container_manager_get_instance ()

    AgsAudioContainerManager *
    ags_audio_container_manager_get_instance
                                   ();

Get ags audio container manager instance.

#### Returns

the AgsAudioContainerManager singleton.

[transfer none]

Since: 3.4.0

### ags_audio_container_manager_new ()

    AgsAudioContainerManager *
    ags_audio_container_manager_new ();

Creates an AgsAudioContainerManager

#### Returns

a new AgsAudioContainerManager

Since: 3.4.0

## Property Details

### The `“audio-container”` property

      “audio-container”          gpointer

The GList containing AgsAudioContainer.

Owner: AgsAudioContainerManager

Flags: Read / Write

Since: 3.4.0